Debian Bug report logs - #634032
irrlicht: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:irrlicht; Maintainer for src:irrlicht is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Sat, 16 Jul 2011 08:27:16 UTC

Severity: serious

Tags: experimental, patch, sid, wheezy

Found in version irrlicht/1.6+dfsg1-1

Fixed in version irrlicht/1.7.2+dfsg1-1.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#634032; Package src:irrlicht. (Sat, 16 Jul 2011 08:27:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 16 Jul 2011 08:27:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: irrlicht: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Sat, 16 Jul 2011 10:25:59 +0200
Source: irrlicht
Version: 1.6+dfsg1-1
Severity: important

Hello Debian Games Team,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update irrlicht to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

irrlicht 	:Build-Depends: libjpeg62-dev 

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#634032; Package src:irrlicht. (Mon, 31 Oct 2011 13:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 31 Oct 2011 13:03:15 GMT) Full text and rfc822 format available.

Message #10 received at 634032@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: 634032@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#634032: irrlicht: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Mon, 31 Oct 2011 14:02:07 +0100
severity 634032
quit
On Sat, Jul 16, 2011 at 10:25:59AM +0200, Bill Allombert wrote:
> Source: irrlicht
> Version: 1.6+dfsg1-1
> Severity: important
> 
> Hello Debian Games Team,
> 
> We are transitionning from libjpeg62 to libjpeg8.
> As mentionned on debian-devel-announce[1], please update irrlicht to
> Build-Depends on libjpeg-dev instead of libjpeg62-dev.
> 
> The following Build-Depends was found:
> 
> irrlicht 	:Build-Depends: libjpeg62-dev 

Hello,

I am raising the severity to serious because irrlicht FTBFS due to conflicting
build-deps.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Severity set to 'serious' from 'important' Request was from Bill Allombert <ballombe@debian.org> to control@bugs.debian.org. (Mon, 31 Oct 2011 13:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#634032; Package src:irrlicht. (Wed, 09 Nov 2011 16:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 09 Nov 2011 16:48:05 GMT) Full text and rfc822 format available.

Message #17 received at 634032@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 628282@bugs.debian.org, 634032@bugs.debian.org
Subject: irrlicht: diff for NMU version 1.7.2+dfsg1-1.1
Date: Wed, 9 Nov 2011 17:45:10 +0100
[Message part 1 (text/plain, inline)]
tags 628282 + pending
tags 634032 + patch
tags 634032 + pending
thanks

Dear maintainer,

I've prepared an NMU for irrlicht (versioned as 1.7.2+dfsg1-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
[irrlicht-1.7.2+dfsg1-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 09 Nov 2011 16:48:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 09 Nov 2011 16:48:08 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Fri, 11 Nov 2011 17:21:10 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Fri, 11 Nov 2011 17:21:10 GMT) Full text and rfc822 format available.

Message #26 received at 634032-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 634032-close@bugs.debian.org
Subject: Bug#634032: fixed in irrlicht 1.7.2+dfsg1-1.1
Date: Fri, 11 Nov 2011 17:18:33 +0000
Source: irrlicht
Source-Version: 1.7.2+dfsg1-1.1

We believe that the bug you reported is fixed in the latest version of
irrlicht, which is due to be installed in the Debian FTP archive:

irrlicht_1.7.2+dfsg1-1.1.debian.tar.gz
  to main/i/irrlicht/irrlicht_1.7.2+dfsg1-1.1.debian.tar.gz
irrlicht_1.7.2+dfsg1-1.1.dsc
  to main/i/irrlicht/irrlicht_1.7.2+dfsg1-1.1.dsc
libirrlicht-dev_1.7.2+dfsg1-1.1_amd64.deb
  to main/i/irrlicht/libirrlicht-dev_1.7.2+dfsg1-1.1_amd64.deb
libirrlicht-doc_1.7.2+dfsg1-1.1_all.deb
  to main/i/irrlicht/libirrlicht-doc_1.7.2+dfsg1-1.1_all.deb
libirrlicht1.7a-dbg_1.7.2+dfsg1-1.1_amd64.deb
  to main/i/irrlicht/libirrlicht1.7a-dbg_1.7.2+dfsg1-1.1_amd64.deb
libirrlicht1.7a_1.7.2+dfsg1-1.1_amd64.deb
  to main/i/irrlicht/libirrlicht1.7a_1.7.2+dfsg1-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634032@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated irrlicht package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 09 Nov 2011 17:14:04 +0100
Source: irrlicht
Binary: libirrlicht-dev libirrlicht1.7a libirrlicht1.7a-dbg libirrlicht-doc
Architecture: source all amd64
Version: 1.7.2+dfsg1-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 libirrlicht-dev - High performance realtime 3D engine development library
 libirrlicht-doc - High performance realtime 3D engine (API documentation)
 libirrlicht1.7a - High performance realtime 3D engine
 libirrlicht1.7a-dbg - debugging symbols for irrlicht
Closes: 628282 634032
Changes: 
 irrlicht (1.7.2+dfsg1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Didier Raboud ]
   * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #634032)
   * Import Ubuntu patch to fix build with recent compilers
 .
   [ Ubuntu: Matthias Klose ]
   * Drop unknown linker options (Closes: #628282. LP: #771053)
Checksums-Sha1: 
 f574c75a0d48bd30a9e3a3aed912b48eccd0ccd1 2128 irrlicht_1.7.2+dfsg1-1.1.dsc
 5a2bbe3b7bd1963b1f6a469870af1da7220416ac 10097 irrlicht_1.7.2+dfsg1-1.1.debian.tar.gz
 08602bec695d4aea3938537e6c9635ace688f170 3591464 libirrlicht-doc_1.7.2+dfsg1-1.1_all.deb
 ede7e4f1cc7f7a092a37b8298e2aca6f1e0bd1b9 4860118 libirrlicht-dev_1.7.2+dfsg1-1.1_amd64.deb
 8773f074f0c505690222b68f3ecc105c7a6647fb 1595192 libirrlicht1.7a_1.7.2+dfsg1-1.1_amd64.deb
 b63d9a9ef9d4a667501dbd44e20f7f9f86541c86 5330226 libirrlicht1.7a-dbg_1.7.2+dfsg1-1.1_amd64.deb
Checksums-Sha256: 
 4ab16e1972486b0b0a92819c57b3468b2d8acf1a92c7e4b75076dd87c1614249 2128 irrlicht_1.7.2+dfsg1-1.1.dsc
 7f781eb6bf2b90d9c16da2bdf1dad5ebe079e7885c0bd35295d526e8de1d1d72 10097 irrlicht_1.7.2+dfsg1-1.1.debian.tar.gz
 6e70408656e8e77a0778e263291e5b9ac27c665dfeb7587ac08775705431d7fb 3591464 libirrlicht-doc_1.7.2+dfsg1-1.1_all.deb
 26334ecc17d9147cdc423fa15d67782ea488b5ba300367c674bf3e947e04a34a 4860118 libirrlicht-dev_1.7.2+dfsg1-1.1_amd64.deb
 8b5f6eb7d1120b173cb032b36107fa84289fdd9f4406aad4b87cb848c1fa8c20 1595192 libirrlicht1.7a_1.7.2+dfsg1-1.1_amd64.deb
 5760ad5413c0ea36c88201737be54f172646a769479add3f192f215106e424a1 5330226 libirrlicht1.7a-dbg_1.7.2+dfsg1-1.1_amd64.deb
Files: 
 29f91f9a9550d693d08360c247caf06d 2128 libs optional irrlicht_1.7.2+dfsg1-1.1.dsc
 a2019acfc0c72f6b78affedbcc6f6f50 10097 libs optional irrlicht_1.7.2+dfsg1-1.1.debian.tar.gz
 e2be6a22f3121d9cd43531cf110f28c6 3591464 doc optional libirrlicht-doc_1.7.2+dfsg1-1.1_all.deb
 4be6da2859d98fa1f14137c4e4928b9b 4860118 libdevel optional libirrlicht-dev_1.7.2+dfsg1-1.1_amd64.deb
 4f969edc687a9fcf76708515f24cc7ff 1595192 libs optional libirrlicht1.7a_1.7.2+dfsg1-1.1_amd64.deb
 200fc883c665074b977c30f071548fa4 5330226 debug extra libirrlicht1.7a-dbg_1.7.2+dfsg1-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOuq2bAAoJEIvPpx7KFjRVFX0L/2xSYZeAPNgdmxKIEYsr8E6V
PKVM9lGwy8KuF7C6wsOkgI/ZOF796NGFCmqaVVbDOBN61M1+RrShfmtXZByuBdm3
chIQ9i8F2y1VxKWag3x+s+s++c2s0t9Ob3pclgQb0OhaoTFFCeRp3QiqiydbXg3D
e8E7Nix8flEwbezcJlnYKqxiy/hnz/Klv1qbUdSy/QIKG1OTlNBihdSB33HBreYo
BGWSGZJmKHrFLQAl5GJxXKUUa1sf7oP/PVKMdFUecepmj62JF+mdtXRWOkINoK0K
8pXtHd5miYktAfF0WzjVH7Spu0mYYvYN+me4Gg2GGPwI++qTsxzyf1n+wzqvS6Jl
Akyt39yue9rsuRSBHCbRzJhyS0v3H9qfxNbH4TRW8lGnAu5EvFWyuO27k8FFy+z7
62ngW8YsGuduLjyn4kXDL/tmsdJkvzl+q/q8dTNegRwZh/jyljI0Kd3NGBCFpgEm
wfzbvW4nj854TTxGmcOaX5BDICac0S+asSEu9YNwqQ==
=OBBo
-----END PGP SIGNATURE-----





Added tag(s) sid, wheezy, and experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 22 Jan 2012 23:12:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:11:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:00:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.